Jump to content

Leaderboard

Popular Content

Showing content with the highest reputation on 02/01/2022 in all areas

  1. OK we can have a think then how to add nested blocks to the routine, I think there are a couple of if statements in there, one 'if' for outside of a block to change the line type,s one 'if' for inside a block to change the line type, it might be just as simple as looping through the nested blocks from there to change the line types I'll have a think later
    1 point
  2. Just quickly testing the code you posted, normally I would expect Tharwats code to be OK. So made a block with 4 lines and also the same 4 lines not in a block.. and it appears to change the line type inside and outside he block as you were wanting. Would you be able to post an example block that you are trying to update and perhaps a before and after type of thing?
    1 point
  3. Thank you very much mhupp. That was exactly what i was looking for.
    1 point
  4. don't know how to do it with lisp but you can just delete it from the linetype manager. it should give you a warning saying if you delete this line type it will delete all entity's assigned it. or you can re assign a new line type to those entity's. or that's what it does in BricsCAD.
    1 point
  5. Wrote this to invert the selection of things on screen ;;----------------------------------------------------------------------------;; ;; Invert Selection on Screen (defun C:SEE (/ SS SS1) (if (setq SS (cond ((ssget "_I")) ; preselection, if any ((ssget)) ; User selection if no pre-selection ) ) (progn (if (setq SS1 (ssget "_WP" (GetScreenCoords))) (progn (foreach ent (vl-remove-if 'listp (mapcar 'cadr (ssnamex SS))) (ssdel ent SS1) ) (sssetfirst nil SS1) ) (prompt "\nNothing on Screen Zoom Out") ) ) ) (princ) ) ;Calculates View Window (defun GetScreenCoords (/ ViwCen ViwDim ViwSiz VptMin VptMax) (setq ViwSiz (/ (getvar "VIEWSIZE") 2) ViwCen (getvar "VIEWCTR") ViwDim (list (* ViwSiz (apply '/ (getvar "SCREENSIZE"))) ViwSiz) VptMin (mapcar '- ViwCen ViwDim) VptMax (mapcar '+ ViwCen ViwDim) ) (list VptMin VptMax) )
    1 point
  6. I tried install VS and got lost in the BS by Microsoft must have account etc the final result was could not get it installed so just walked away.
    1 point
  7. Sorry, maybe I was not clear. I don't want to delete HIDDEN2, I want to replace with it all other linetypes (except Continuous), or merge them (like when merge layers)
    0 points
  8. That is a free solution type "linetype" to bring up the linetype manager in autocad should look like this. Select hidden 2 and delete in the top right.
    0 points
×
×
  • Create New...